'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-2a6e6244.js');
const store = require('./store-fe3d3434.js');
const sdkRedux = require('@boldpenguin/sdk-redux');
const index_esm_min = require('./index.esm.min-bb87d5ab.js');

const SDK_ERRORS = [new index_esm_min.qe().name];
let BpSdkErrorEventContainer = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.sdkError = index.createEvent(this, "sdkError", 7);
    /**
     * Debug flag injected from redux store
     */
    this.isDebug = false;
    this.handleError = (ev) => {
      try {
        const { error } = ev;
        if (SDK_ERRORS.includes(error === null || error === void 0 ? void 0 : error.name)) {
          // Emit DOM event
          this.sdkError.emit({ error });
          // Send error to console if debug flag is on
          this.isDebug && console.error(error);
          // Send to error handler function if it's provided
          this.errorHandler && this.errorHandler(error);
        }
      }
      catch (e) {
        // Swallow errors here, if we can't capture the error successfully just do nothing
      }
    };
    this.handleSubscriptions = () => {
      if (store.canGetStore()) {
        this.storeUnsubscribe && this.storeUnsubscribe();
        this.storeUnsubscribe = store.store.mapStateToProps(this, this.mapStateToProps);
      }
    };
    this.mapStateToProps = (state) => {
      return {
        isDebug: sdkRedux.isDebugMode(state),
      };
    };
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
    this.handleSubscriptions();
  }
  componentWillLoad() {
    window.addEventListener('error', this.handleError);
    this.handleSubscriptions();
  }
  disconnectedCallback() {
    this.storeUnsubscribe && this.storeUnsubscribe();
  }
  render() {
    return null;
  }
  get el() { return index.getElement(this); }
};

exports.bp_sdk_error_event_container = BpSdkErrorEventContainer;
