import { r as registerInstance, h, g as getElement } from './index-b4e0290f.js';
import { c as canGetStore, s as store } from './store-6dda1ad2.js';
import { getMessages } from '@boldpenguin/sdk-redux';

let BpSdkMessageContainer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Will use externally registered component
     */
    this.useExternal = false;
    this.handleSubscriptions = () => {
      if (canGetStore()) {
        this.storeUnsubscribe && this.storeUnsubscribe();
        this.storeUnsubscribe = store.mapStateToProps(this, this.mapStateToProps);
      }
    };
    this.mapStateToProps = (state) => {
      return {
        messages: getMessages(state),
      };
    };
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
    this.handleSubscriptions();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-message-container');
    customElements.whenDefined('bp-sdk-external-message-container').then(() => {
      this.useExternal = true;
    });
    this.handleSubscriptions();
  }
  handleMessagesUpdate(messages) {
    this.lastMessage = messages[this.messages.length - 1];
  }
  disconnectedCallback() {
    this.storeUnsubscribe && this.storeUnsubscribe();
  }
  componentWillUpdate() {
    this.handleSubscriptions();
  }
  render() {
    if (!canGetStore()) {
      return null;
    }
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return h("bp-sdk-external-message-container", { messages: this.messages });
  }
  renderInternal() {
    return this.lastMessage && h("bp-sdk-message", { message: this.lastMessage });
  }
  get el() { return getElement(this); }
  static get watchers() { return {
    "messages": ["handleMessagesUpdate"]
  }; }
};

export { BpSdkMessageContainer as bp_sdk_message_container };
