import { EventEmitter } from '../../stencil-public-runtime';
import { HandleBindFunction, ICarrier, IProduct, IQuoteInfo, IQuoteRequestComponent, IAnalyticsTrackEventDetail, IQuoteStatus, ITranslatedMessage, HandleAttachmentDownloadFunction, IQuoteAction, IQuoteAttachment, HandleActionBindFunction, QuoteRequestRequestTypes } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequest implements IQuoteRequestComponent {
  bpAnalyticsTrack: EventEmitter<IAnalyticsTrackEventDetail>;
  /**
   * Quote actions
   */
  actions: IQuoteAction[];
  /**
   * Quote attachments
   */
  attachments: IQuoteAttachment[];
  /**
   * Is bindable
   */
  bindable: boolean;
  /**
   * Carrier
   */
  carrier: ICarrier;
  /**
   * Product selection
   */
  products: IProduct[];
  /**
   * Quote information
   */
  quoteInfo: IQuoteInfo;
  /**
   * Should show logo
   */
  showLogo: boolean;
  /**
   * Should show custom logo
   */
  showCustomLogo: boolean;
  /**
   * Custom logo url
   */
  customLogoBaseUrl: string;
  /**
   * Quote status flags
   */
  quoteStatus: IQuoteStatus;
  /**
   * Quote id
   */
  quoteId: string;
  /**
   * Application form id
   */
  appFormId: string;
  /**
   * Translated messages
   */
  translatedMessages: ITranslatedMessage[];
  /**
   * Function for running a quote action
   */
  handleAction: HandleActionBindFunction;
  /**
   * quote bind function
   */
  handleBind: HandleBindFunction;
  /**
   * Function for downloading an attachment
   */
  handleDownload: HandleAttachmentDownloadFunction;
  /**
   * Is Annual quote
   */
  isAnnual: boolean;
  /**
   * Quote request status
   */
  requestStatus: QuoteRequestRequestTypes;
  useExternal: boolean;
  termLength: string;
  price: string;
  totalPremium: string;
  onCarrierChange(carrier: ICarrier, oldCarrier: ICarrier): void;
  onQuoteStatusChange(quoteStatus?: IQuoteStatus): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
  renderActionContainer(): any;
  renderBindContainer(): any;
}
