import { IChoice, IRadioDialogComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkRadioDialog implements IRadioDialogComponent {
  /**
   * Answer id
   */
  answerId: string;
  /**
   * Question id
   */
  questionId: string;
  /**
   * Field type
   */
  fieldType: string;
  /**
   * question code
   */
  code: string;
  /**
   * Label to display
   */
  label: string;
  /**
   * Labels that describe group
   */
  labelledBy: string;
  /**
   * Choices to display
   */
  choices: IChoice[];
  /**
   * Selected choice
   */
  choiceId: string;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Error text
   */
  errorText: string;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Is required
   */
  isRequired: boolean;
  /**
   * When true, the field will be readonly. It will display only the label and value as plain text.
   */
  isReadOnly: boolean;
  /**
   * Is answer in complete state
   */
  isCompleted: boolean;
  /**
   * Help text
   */
  helpText: string;
  /**
   * Specifically how the question was answered (ie. "ACORD 126")
   */
  answeredBySource: string | undefined;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
