import { IMaskOptions } from '@boldpenguin/sdk-types';
import InputMask from 'inputmask';
/**
 * This is a support class for SDK Masked Inputs and will only be relevant to that component.
 * This functionality was extracted for easier testing and to reduce the density of the component code.
 */
export declare class MaskedInputService {
  buildPlaceholderFromMaskConfig(placeholder: string, mask: string, options: IMaskOptions): string;
  applyMaskToElement(element: HTMLInputElement, maskInstance: InputMask.Instance): void;
  removeMaskFromElement(element: HTMLInputElement): void;
  createDefaultMaskInstance(): InputMask.Instance;
  createPasswordMaskInstance(maskPattern: string, maskConfig: IMaskOptions): InputMask.Instance;
  createTextMaskInstance(maskPattern: string, maskConfig: IMaskOptions): InputMask.Instance;
  isElementMaskSame(element: HTMLInputElement, alias: string): boolean;
}
